Class | TkPhotoImage
In: | tk/lib/tk/image.rb
Parent: | TkImage

### Methods

blank cget copy data get get_transparency new put read redither set_transparency write

### Constants

NullArgOptionKeys | = | [ "shrink", "grayscale" ]

### Public Class methods

new(*args)

[Source]

    # File tk/lib/tk/image.rb, line 128
      def initialize(*args)
        @type = 'photo'
        super(*args)
      end

### Public Instance methods

blank()

[Source]

    # File tk/lib/tk/image.rb, line 133
      def blank
        tk_send_without_enc('blank')
        self
      end

cget(option)

[Source]

    # File tk/lib/tk/image.rb, line 138
      def cget(option)
        case option.to_s
        when 'data', 'file'
          tk_send 'cget', '-' << option.to_s
        else
          tk_tcl2ruby(tk_send('cget', '-' << option.to_s))
        end
      end

copy(src, *opts)

[Source]

    # File tk/lib/tk/image.rb, line 147
      def copy(src, *opts)
        if opts.size == 0
          tk_send('copy', src)
        elsif opts.size == 1 && opts[0].kind_of?(Hash)
          tk_send('copy', src, *_photo_hash_kv(opts[0]))
        else
          # for backward compatibility
          args = opts.collect{|term|
            if term.kind_of?(String) && term.include?(?\s)
              term.split
            else
              term
            end
          }.flatten
          tk_send('copy', src, *args)
        end
        self
      end

data(keys={})

[Source]

    # File tk/lib/tk/image.rb, line 166
      def data(keys={})
        #tk_send('data', *_photo_hash_kv(keys))
        tk_split_list(tk_send('data', *_photo_hash_kv(keys)))
      end

get(x, y)

[Source]

    # File tk/lib/tk/image.rb, line 171
      def get(x, y)
        tk_send('get', x, y).split.collect{|n| n.to_i}
      end

get_transparency(x, y)

[Source]

    # File tk/lib/tk/image.rb, line 211
      def get_transparency(x, y)
        bool(tk_send('transparency', 'get', x, y))
      end

put(data, *opts)

[Source]

    # File tk/lib/tk/image.rb, line 175
      def put(data, *opts)
        if opts == []
          tk_send('put', data)
        elsif opts.size == 1 && opts[0].kind_of?(Hash)
          tk_send('put', data, *_photo_hash_kv(opts[0]))
        else
          # for backward compatibility
          tk_send('put', data, '-to', *opts)
        end
        self
      end

read(file, *opts)

[Source]

    # File tk/lib/tk/image.rb, line 187
      def read(file, *opts)
        if opts.size == 0
          tk_send('read', file)
        elsif opts.size == 1 && opts[0].kind_of?(Hash)
          tk_send('read', file, *_photo_hash_kv(opts[0]))
        else
          # for backward compatibility
          args = opts.collect{|term|
            if term.kind_of?(String) && term.include?(?\s)
              term.split
            else
              term
            end
          }.flatten
          tk_send('read', file, *args)
        end
        self
      end

redither()

[Source]

    # File tk/lib/tk/image.rb, line 206
      def redither
        tk_send 'redither'
        self
      end

set_transparency(x, y, st)

[Source]

    # File tk/lib/tk/image.rb, line 214
      def set_transparency(x, y, st)
        tk_send('transparency', 'set', x, y, st)
        self
      end

write(file, *opts)

[Source]

    # File tk/lib/tk/image.rb, line 219
      def write(file, *opts)
        if opts.size == 0
          tk_send('write', file)
        elsif opts.size == 1 && opts[0].kind_of?(Hash)
          tk_send('write', file, *_photo_hash_kv(opts[0]))
        else
          # for backward compatibility
          args = opts.collect{|term|
            if term.kind_of?(String) && term.include?(?\s)
              term.split
            else
              term
            end
          }.flatten
          tk_send('write', file, *args)
        end
        self
      end

[Validate]